新版edgy一站式设置脚本征集测试者

为当前最终发行版之前的所有版本提供支持
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

新版edgy一站式设置脚本征集测试者

#1

帖子 karron » 2006-11-19 13:09

我更新了新版的edgy一站式设置脚本,相对置顶的版本,增加了如下功能。

自动配置mplayer,xine 等字体
可供选择的输入法安装(fcitx和scim),解决了scim在KDE下面不稳定的问题。
增加 stardict和辞典的安装。
增加了 eva聊天工具。

希望有兴趣的人来测试一下,如果没有问题,我修改置顶的文章,使用此新版本。

使用方法,解压后 sh easyubuntu.sh

UPDATE:修改了一下几个错误。
附件
easyubuntu.sh.tar.gz
(1.44 KiB) 下载 40 次
上次由 karron 在 2006-11-19 14:08,总共编辑 2 次。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 zhuqin_83 » 2006-11-19 13:47

我来看看,但不会去执行的,不想冒这个风险,呵呵。
学习牛人的bash。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 zhuqin_83 » 2006-11-19 14:01

我一直想问的,输入法是否必须sudo im-switch -s才行?我指英文locale。
因为我用sudo的话,就报错,而且执行之后无效。反而把sudo 去掉后执行im-switch有效。
另外, libapt-pkg-perl是否必须安装?我不安装也没问题。

今天的源更新后,stardict有依赖问题,估计大家都装不上。

发现第110行scim-bridge写错。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-11-19 14:12

我个人建议用sudo配置,这样多个用户可以通用,不用sudo只能是当前用户 。libapt-pkg-perl 需要安装,你执行sudo im-switch 报错,可能就是你没有安装这个。

但是在执行sudo im-switch 之前建议把本地的.xinput目录删除,防止之前的设置影响。

另外,建议使用 sudo im-switch -s scim 来代替wiki里面推荐的 sudo im-switch -s scim-pinyin ,如果使用后者,可能在KDE里面会导致程序莫名其妙地崩溃。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 zhuqin_83 » 2006-11-19 14:22

谢谢,我试试。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#6

帖子 zhuqin_83 » 2006-11-19 14:37

第115行,Do you want to install stardict? an english-chinese dictionary
一个小小的错误。 :D
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 karron » 2006-11-19 14:39

谢谢。先修改一下。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 zhuqin_83 » 2006-11-19 16:56

感觉是不是应该还是修改一下/etc/X11/xinit/xinput.d/scim比较好。
改成:GTK_IM_MODULE="scim-bridge"
因为发现如果不修改,acroread无法启动。
QT_IM_MODULE="scim" 这个就不用改了,如果装了scim-qtimm的话。
还有,libapt-pkg-perl不装也没关系,以前我报错的原因就是用了sudo im-switch -s scim-binyin
而不是sudo im-switch -s scim导致的。
就算装了libapt-pkg-perl,gtkorphan也会说是一个“孤立”的库。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 karron » 2006-11-19 18:26

对.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
asgames
帖子: 283
注册时间: 2005-08-16 14:59
送出感谢: 0
接收感谢: 0

#10

帖子 asgames » 2006-11-19 23:09

下午重装了次系统,图方便就用了置顶里的脚本,结果除了中文字体美化之外,其它的都没有装上,不知道为什么,奇怪得很……
用脚本的时候走开了下,回来看看完了就关掉了终端,但是后来才发现,那些软件之类的一个都没装上,哈哈,现在回想一下,不知道是不是我当时开着新立得的关系,呵呵。
悲哀在于,所有硬件都主动去追求WINDOWS,而遗憾的是,LINUX要主动去追求所有硬件.
ATI+AMD=AIDsTM
16驱动还没开始弄呢,15又罢工了,呜呼,决定怀疑一切可怀疑的,下载A CD,准备重装,残念中……
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#11

帖子 zhuqin_83 » 2006-11-20 1:51

肯定是的。
新立得和apt-get 不可同时用。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
leec0621
帖子: 150
注册时间: 2006-11-12 10:17
来自: 火星
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 leec0621 » 2006-11-21 19:35

up~~一下~~用过楼主置顶贴子里的脚本~~效果非常好~~
头像
vvg
帖子: 98
注册时间: 2006-12-21 19:33
送出感谢: 0
接收感谢: 0

#13

帖子 vvg » 2006-12-30 0:12

W: GPG error: http://download.tuxfamily.org edgy Release: 由于没有公钥,下列签名无法进行验证: NO_PUBKEY 2D6CFB44DD800CD9
Kubuntu
头像
vvg
帖子: 98
注册时间: 2006-12-21 19:33
送出感谢: 0
接收感谢: 0

#14

帖子 vvg » 2006-12-30 0:15

E: 不能识别参数 fonrce,请用 true 或 false
Kubuntu
头像
vvg
帖子: 98
注册时间: 2006-12-21 19:33
送出感谢: 0
接收感谢: 0

#15

帖子 vvg » 2006-12-30 0:26

kubuntu 6.10 刚执行了一次,MultiMedia Support.. 这部分都没装上。。。

kget装上了。

我人品不好 :(
附件
4.png
3.png
2.png
Kubuntu
回复

回到 “老旧版本支持”